Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## nextapp.echo2.app
Class Column

    java.lang.Object
      nextapp.echo2.app.Component
          nextapp.echo2.app.Column

All Implemented Interfaces:
  java.io.Serializable, RenderIdSupport

    public class Column

extends Component

A layout `Component` which renders its contents in a single vertical column of cells.

Child LayoutData: Children of this component may provide layout information using the `nextapp.echo2.app.layout.ColumnLayoutData` layout data object.

See Also:
  `ColumnLayoutData`, Serialized Form

Field Summary
`static java.lang.String` | `PROPERTY_BORDER`
`static java.lang.String` | `PROPERTY_CELL_SPACING`
`static java.lang.String` | `PROPERTY_INSETS`

Fields inherited from class nextapp.echo2.app.Component
`CHILDREN_CHANGED_PROPERTY, ENABLED_CHANGED_PROPERTY, FOCUS_TRAVERSAL_INDEX_CHANGED_PROPERTY, FOCUS_TRAVERSAL_PARTICIPANT_CHANGED_PROPERTY, LAYOUT_DIRECTION_CHANGED_PROPERTY, LOCALE_CHANGED_PROPERTY, PROPERTY_BACKGROUND, PROPERTY_FONT, PROPERTY_FOREGROUND, PROPERTY_LAYOUT_DATA, STYLE_CHANGED_PROPERTY, STYLE_NAME_CHANGED_PROPERTY, VISIBLE_CHANGED_PROPERTY`

Constructor Summary
`Column()` Creates a new `Column`.

Method Summary
`Border` | `getBorder()` Returns the `Border` that encloses the entire `Column`.
`Extent` | `getCellSpacing()` Returns the spacing between individual cells of the `Column`.
`Insets` | `getInsets()` Returns the default inset between the border and cells of the `Column`.
`void` | `setBorder(Border newValue)` Sets the `Border` that encloses the entire `Column`.
`void` | `setCellSpacing(Extent newValue)` Sets the spacing between individual cells of the `Column`.
`void` | `setInsets(Insets newValue)` Sets the inset between the border and cells of the `Column`.

Methods inherited from class nextapp.echo2.app.Component
`add, add, addPropertyChangeListener, dispose, firePropertyChange, getApplicationInstance, getBackground, getComponent, getComponent, getComponentCount, getComponents, getEventListenerList, getFocusTraversalIndex, getFont, getForeground, getId, getIndexedProperty, getLayoutData, getLayoutDirection, getLocale, getParent, getProperty, getRenderId, getRenderIndexedProperty, getRenderIndexedProperty, getRenderLayoutDirection, getRenderLocale, getRenderProperty, getRenderProperty, getStyle, getStyleName, getVisibleComponent, getVisibleComponentCount, getVisibleComponents, hasEventListenerList, indexOf, init, isAncestorOf, isEnabled, isFocusTraversalParticipant, isRegistered, isRenderEnabled, isRenderVisible, isValidChild, isValidParent, isVisible, processInput, remove, remove, removeAll, removePropertyChangeListener, setBackground, setEnabled, setFocusTraversalIndex, setFocusTraversalParticipant, setFont, setForeground, setId, setIndexedProperty, setLayoutData, setLayoutDirection, setLocale, setProperty, setStyle, setStyleName, setVisible, validate, verifyInput, visibleIndexOf`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PROPERTY_BORDER

    public static final java.lang.String PROPERTY_BORDER

See Also:
  Constant Field Values

### PROPERTY_CELL_SPACING

    public static final java.lang.String PROPERTY_CELL_SPACING

See Also:
  Constant Field Values

### PROPERTY_INSETS

    public static final java.lang.String PROPERTY_INSETS

See Also:
  Constant Field Values

Constructor Detail

### Column

    public Column()

  Creates a new `Column`.

Method Detail

### getBorder

    public Border getBorder()

  Returns the `Border` that encloses the entire `Column`.

  Returns:
    the border

### getCellSpacing

    public Extent getCellSpacing()

  Returns the spacing between individual cells of the `Column`. This property only supports `Extent`s with fixed (i.e., not percent) units.

  Returns:
    the cell spacing

### getInsets

    public Insets getInsets()

  Returns the default inset between the border and cells of the `Column`. This value will be overridden for a child component if a setting is specified in its `ColumnLayoutData`.

  Returns:
    the inset

### setBorder

    public void setBorder(Border newValue)

  Sets the `Border` that encloses the entire `Column`.

  Parameters:
    `newValue` - the new border

### setCellSpacing

    public void setCellSpacing(Extent newValue)

  Sets the spacing between individual cells of the `Column`. This property only supports `Extent`s with fixed (i.e., not percent) units.

  Parameters:
    `newValue` - the new spacing

### setInsets

    public void setInsets(Insets newValue)

  Sets the inset between the border and cells of the `Column`. This value will be overridden for a child component if a setting is specified in its `ColumnLayoutData`.

  Parameters:
    `newValue` - the new inset

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD